SETUSERAUDIT(2)

NAME
setuseraudit, setaudit - set the audit classes for a specified user ID

SYNOPSIS
#include <sys/label.h>
#include <sys/audit.h>

int setuseraudit(uid, state)
int uid;
audit_state_t *state;

int setaudit(state)
audit_state_t *state;

DESCRIPTION

The setuseraudit() system call sets the audit state for all processes whose audit user ID matches the specified user ID. The parameter state specifies the audit classes to audit for both successful and unsuccessful operations.

The setaudit() system call sets the audit state for the current process.

Only processes with the real or effective user ID of the super-user may successfully execute these calls.

RETURN VALUES
setuseraudit() and setaudit() return:

0   on success.

-1  on failure and set errno to indicate the error.

ERRORS

EFAULT
    The state parameter points outside the processes' allocated address space.

EPERM
    The process' real or effective user ID is not super-user.

SEE ALSO
audit(2), audit_args(3), audit_control(5), audit.log(5)